<a id="mypy-boto3-evidently"></a>

# mypy-boto3-evidently

[![PyPI - types-aiobotocore-evidently](https://img.shields.io/pypi/v/types-aiobotocore-evidently.svg?color=blue)](https://pypi.org/project/types-aiobotocore-evidently)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/types-aiobotocore-evidently.svg?color=blue)](https://pypi.org/project/types-aiobotocore-evidently)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)
[![PyPI - Downloads](https://img.shields.io/pypi/dm/types-aiobotocore-evidently?color=blue)](https://pypistats.org/packages/types-aiobotocore-evidently)

![boto3.typed](https://github.com/vemel/mypy_boto3_builder/raw/main/logo.png)

Type annotations for
[boto3.CloudWatchEvidently 1.20.47](https://boto3.amazonaws.com/v1/documentation/api/latest/reference/services/evidently.html#CloudWatchEvidently)
service compatible with [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/),
[Emacs](https://www.gnu.org/software/emacs/),
[Sublime Text](https://www.sublimetext.com/),
[mypy](https://github.com/python/mypy),
[pyright](https://github.com/microsoft/pyright) and other tools.

Generated by
[mypy-boto3-builder 6.4.2](https://github.com/vemel/mypy_boto3_builder).

More information can be found on
[boto3-stubs](https://pypi.org/project/boto3-stubs/) page and in
[types-aiobotocore-evidently docs](https://vemel.github.io/types_aiobotocore_docs/types_aiobotocore_evidently/)

See how it helps to find and fix potential bugs:

![boto3-stubs demo](https://github.com/vemel/mypy_boto3_builder/raw/main/demo.gif)

- [mypy-boto3-evidently](#mypy-boto3-evidently)
  - [How to install](#how-to-install)
    - [VSCode extension](#vscode-extension)
    - [From PyPI with pip](#from-pypi-with-pip)
  - [Usage](#usage)
    - [VSCode](#vscode)
    - [PyCharm](#pycharm)
    - [Other IDEs](#other-ides)
    - [mypy](#mypy)
    - [pyright](#pyright)
  - [Explicit type annotations](#explicit-type-annotations)
    - [Client annotations](#client-annotations)
    - [Paginators annotations](#paginators-annotations)

<a id="how-to-install"></a>

## How to install

<a id="vscode-extension"></a>

### VSCode extension

Add
[AWS Boto3](https://marketplace.visualstudio.com/items?itemName=Boto3typed.boto3-ide)
extension to your VSCode and run `AWS boto3: Quick Start` command.

Click `Modify` and select `boto3 common` and `CloudWatchEvidently`.

<a id="from-pypi-with-pip"></a>

### From PyPI with pip

Install `types-aiobotocore` for `CloudWatchEvidently` service.

```bash
python -m pip install types-aiobotocore[evidently]
```

<a id="usage"></a>

## Usage

<a id="vscode"></a>

### VSCode

- Install
  [Python extension](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
- Install
  [Pylance extension](https://marketplace.visualstudio.com/items?itemName=ms-python.vscode-pylance)
- Set `Pylance` as your Python Language Server
- Install `types-aiobotocore[evidently]` in your environment:
  `python -m pip install 'types-aiobotocore[evidently]'`

Both type checking and auto-complete should work for `CloudWatchEvidently`
service. No explicit type annotations required, write your `boto3` code as
usual.

<a id="pycharm"></a>

### PyCharm

- Install `types-aiobotocore[evidently]` in your environment:
  `python -m pip install 'types-aiobotocore[evidently]'`

Both type checking and auto-complete should work for `CloudWatchEvidently`
service. No explicit type annotations required, write your `aiobotocore` code
as usual. Auto-complete can be slow on big projects or if you have a lot of
installed `types-aiobotocore` submodules.

<a id="other-ides"></a>

### Other IDEs

Not tested, but as long as your IDE supports `mypy` or `pyright`, everything
should work.

<a id="mypy"></a>

### mypy

- Install `mypy`: `python -m pip install mypy`
- Install `types-aiobotocore[evidently]` in your environment:
  `python -m pip install 'types-aiobotocore[evidently]'`
- Run `mypy` as usual

Type checking should work for `CloudWatchEvidently` service. No explicit type
annotations required, write your `aiobotocore` code as usual.

<a id="pyright"></a>

### pyright

- Install `pyright`: `yarn global add pyright`
- Install `types-aiobotocore[evidently]` in your environment:
  `python -m pip install 'types-aiobotocore[evidently]'`
- Optionally, you can install `boto3-stubs` to `typings` folder.

Type checking should work for `CloudWatchEvidently` service. No explicit type
annotations required, write your `aiobotocore` code as usual.

<a id="explicit-type-annotations"></a>

## Explicit type annotations

<a id="client-annotations"></a>

### Client annotations

`CloudWatchEvidentlyClient` provides annotations for
`session.create_client("evidently")`.

```python
from aiobotocore.session import get_session

from types_aiobotocore_evidently import CloudWatchEvidentlyClient

session = get_session()
with async session.create_client("evidently") as client:
    client: CloudWatchEvidentlyClient
    # now client usage is checked by mypy and IDE should provide code auto-complete
```

<a id="paginators-annotations"></a>

### Paginators annotations

`types_aiobotocore_evidently.paginator` module contains type annotations for
all paginators.

````python
from aiobotocore.session import get_session

from types_aiobotocore_evidently import CloudWatchEvidentlyClient
from types_aiobotocore_evidently.paginator import (
    ListExperimentsPaginator,
    ListFeaturesPaginator,
    ListLaunchesPaginator,
    ListProjectsPaginator,
)

session = get_session()
with async session.create_client("evidently") as client:
    client: CloudWatchEvidentlyClient

    # Explicit type annotations are optional here
    # Type should be correctly discovered by mypy and IDEs
    # VSCode requires explicit type annotations
        list_experiments_paginator: ListExperimentsPaginator = client.get_paginator("list_experiments")
        list_features_paginator: ListFeaturesPaginator = client.get_paginator("list_features")
        list_launches_paginator: ListLaunchesPaginator = client.get_paginator("list_launches")
        list_projects_paginator: ListProjectsPaginator = client.get_paginator("list_projects")
    ```







### Literals

`types_aiobotocore_evidently.literals` module contains literals extracted from shapes
that can be used in user code for type checking.

```python
from types_aiobotocore_evidently.literals import (
    ChangeDirectionEnumType,
    EventTypeType,
    ExperimentBaseStatType,
    ExperimentReportNameType,
    ExperimentResultRequestTypeType,
    ExperimentResultResponseTypeType,
    ExperimentStatusType,
    ExperimentStopDesiredStateType,
    ExperimentTypeType,
    FeatureEvaluationStrategyType,
    FeatureStatusType,
    LaunchStatusType,
    LaunchStopDesiredStateType,
    LaunchTypeType,
    ListExperimentsPaginatorName,
    ListFeaturesPaginatorName,
    ListLaunchesPaginatorName,
    ListProjectsPaginatorName,
    ProjectStatusType,
    VariationValueTypeType,
    ServiceName,
    PaginatorName,
)

def check_value(value: ChangeDirectionEnumType) -> bool:
    ...
````

### Typed dictionaries

`types_aiobotocore_evidently.type_defs` module contains structures and shapes
assembled to typed dictionaries for additional type checking.

```python
from types_aiobotocore_evidently.type_defs import (
    BatchEvaluateFeatureRequestRequestTypeDef,
    BatchEvaluateFeatureResponseTypeDef,
    CloudWatchLogsDestinationConfigTypeDef,
    CloudWatchLogsDestinationTypeDef,
    CreateExperimentRequestRequestTypeDef,
    CreateExperimentResponseTypeDef,
    CreateFeatureRequestRequestTypeDef,
    CreateFeatureResponseTypeDef,
    CreateLaunchRequestRequestTypeDef,
    CreateLaunchResponseTypeDef,
    CreateProjectRequestRequestTypeDef,
    CreateProjectResponseTypeDef,
    DeleteExperimentRequestRequestTypeDef,
    DeleteFeatureRequestRequestTypeDef,
    DeleteLaunchRequestRequestTypeDef,
    DeleteProjectRequestRequestTypeDef,
    EvaluateFeatureRequestRequestTypeDef,
    EvaluateFeatureResponseTypeDef,
    EvaluationRequestTypeDef,
    EvaluationResultTypeDef,
    EvaluationRuleTypeDef,
    EventTypeDef,
    ExperimentExecutionTypeDef,
    ExperimentReportTypeDef,
    ExperimentResultsDataTypeDef,
    ExperimentScheduleTypeDef,
    ExperimentTypeDef,
    FeatureSummaryTypeDef,
    FeatureTypeDef,
    GetExperimentRequestRequestTypeDef,
    GetExperimentResponseTypeDef,
    GetExperimentResultsRequestRequestTypeDef,
    GetExperimentResultsResponseTypeDef,
    GetFeatureRequestRequestTypeDef,
    GetFeatureResponseTypeDef,
    GetLaunchRequestRequestTypeDef,
    GetLaunchResponseTypeDef,
    GetProjectRequestRequestTypeDef,
    GetProjectResponseTypeDef,
    LaunchExecutionTypeDef,
    LaunchGroupConfigTypeDef,
    LaunchGroupTypeDef,
    LaunchTypeDef,
    ListExperimentsRequestRequestTypeDef,
    ListExperimentsResponseTypeDef,
    ListFeaturesRequestRequestTypeDef,
    ListFeaturesResponseTypeDef,
    ListLaunchesRequestRequestTypeDef,
    ListLaunchesResponseTypeDef,
    ListProjectsRequestRequestTypeDef,
    ListProjectsResponseTypeDef,
    ListTagsForResourceRequestRequestTypeDef,
    ListTagsForResourceResponseTypeDef,
    MetricDefinitionConfigTypeDef,
    MetricDefinitionTypeDef,
    MetricGoalConfigTypeDef,
    MetricGoalTypeDef,
    MetricMonitorConfigTypeDef,
    MetricMonitorTypeDef,
    OnlineAbConfigTypeDef,
    OnlineAbDefinitionTypeDef,
    PaginatorConfigTypeDef,
    ProjectDataDeliveryConfigTypeDef,
    ProjectDataDeliveryTypeDef,
    ProjectSummaryTypeDef,
    ProjectTypeDef,
    PutProjectEventsRequestRequestTypeDef,
    PutProjectEventsResponseTypeDef,
    PutProjectEventsResultEntryTypeDef,
    ResponseMetadataTypeDef,
    S3DestinationConfigTypeDef,
    S3DestinationTypeDef,
    ScheduledSplitConfigTypeDef,
    ScheduledSplitTypeDef,
    ScheduledSplitsLaunchConfigTypeDef,
    ScheduledSplitsLaunchDefinitionTypeDef,
    StartExperimentRequestRequestTypeDef,
    StartExperimentResponseTypeDef,
    StartLaunchRequestRequestTypeDef,
    StartLaunchResponseTypeDef,
    StopExperimentRequestRequestTypeDef,
    StopExperimentResponseTypeDef,
    StopLaunchRequestRequestTypeDef,
    StopLaunchResponseTypeDef,
    TagResourceRequestRequestTypeDef,
    TreatmentConfigTypeDef,
    TreatmentTypeDef,
    UntagResourceRequestRequestTypeDef,
    UpdateExperimentRequestRequestTypeDef,
    UpdateExperimentResponseTypeDef,
    UpdateFeatureRequestRequestTypeDef,
    UpdateFeatureResponseTypeDef,
    UpdateLaunchRequestRequestTypeDef,
    UpdateLaunchResponseTypeDef,
    UpdateProjectDataDeliveryRequestRequestTypeDef,
    UpdateProjectDataDeliveryResponseTypeDef,
    UpdateProjectRequestRequestTypeDef,
    UpdateProjectResponseTypeDef,
    VariableValueTypeDef,
    VariationConfigTypeDef,
    VariationTypeDef,
)

def get_structure() -> BatchEvaluateFeatureRequestRequestTypeDef:
    return {
      ...
    }
```

## Versioning

`types-aiobotocore-evidently` version is the same as related `boto3` version
and follows [PEP 440](https://www.python.org/dev/peps/pep-0440/) format.

## Documentation

All type annotations can be found in
[types-aiobotocore-evidently docs](https://vemel.github.io/types_aiobotocore_docs/types_aiobotocore_evidently/)

## Support and contributing

This package is auto-generated. Please reports any bugs or request new features
in [mypy-boto3-builder](https://github.com/vemel/mypy_boto3_builder/issues/)
repository.
